import partial from 'lodash.partial';
import { query } from './query';
export var withAdapter = function withAdapter(context, adapter) {
  if (context.adapter != null) {
    throw Error("Read model adapter already assigned.");
  }

  context.adapter = adapter;
  return {
    query: partial(query, context)
  };
};
//# sourceMappingURL=with-adapter.js.map