"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.makeAssertions = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _mockCommandImplementation = require("./mock-command-implementation");

var _mockQueryImplementation = require("./mock-query-implementation");

var _shouldExecuteCommand = require("./should-execute-command");

var _shouldExecuteQuery = require("./should-execute-query");

var _shouldExecuteSideEffect = require("./should-execute-side-effect");

var makeAssertions = function makeAssertions(context) {
  return Object.assign(context.environment.promise, {
    shouldExecuteCommand: (0, _lodash["default"])(_shouldExecuteCommand.shouldExecuteCommand, context),
    shouldExecuteQuery: (0, _lodash["default"])(_shouldExecuteQuery.shouldExecuteQuery, context),
    shouldExecuteSideEffect: (0, _lodash["default"])(_shouldExecuteSideEffect.shouldExecuteSideEffect, context),
    mockCommandImplementation: (0, _lodash["default"])(_mockCommandImplementation.mockCommandImplementation, context),
    mockQueryImplementation: (0, _lodash["default"])(_mockQueryImplementation.mockQueryImplementation, context)
  });
};

exports.makeAssertions = makeAssertions;
//# sourceMappingURL=make-assertions.js.map