import { Command, ReadModelQuery } from '@resolve-js/core';
import { ExecutedSideEffect } from '../types';
export declare const stringifyError: (error: any) => string;
export declare const stringifyDiff: (expected: any, result: any) => string;
declare type ExecutedItem = Command | ReadModelQuery | ExecutedSideEffect;
export declare function stringify(item: ExecutedItem): string;
export declare const stringifyShouldExecuteCommandFailure: (expectedCommand: Command, executedCommands: Array<Command>) => string;
export declare const stringifyShouldExecuteQueryFailure: (expectedQuery: ReadModelQuery, executedQueries: Array<ReadModelQuery>) => string;
export declare const stringifyShouldExecuteSideEffectFailure: (expectedSideEffect: ExecutedSideEffect, executedSideEffects: Array<ExecutedSideEffect>) => string;
export {};
